Get webhook subscription
GET
/api/webhooks/subscription/{id}
Code sample: Shell / cURL
curl --request GET \ --url https://api.ztlpay.io/api/webhooks/subscription/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Subscription belonging to the authenticated partner.
Media typeapplication/json
object
id
required
string format: uuid
targetUrl
required
string format: uri
enabled
required
boolean
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
eventTypes
required
Array<string>
hasBearerToken
required
boolean
Example
{ "eventTypes": [ "PAYMENT_STATUS" ]}Subscription was not found.